Name:           iperf3
Version:        3.17.1
Release:        1
Summary:        TCP,UDP,and SCTP network bandwidth measurement tool
License:        BSD
URL:            http://github.com/esnet/iperf
Source0:        https://github.com/esnet/iperf/archive/%{version}/iperf-%{version}.tar.gz

BuildRequires:  libuuid-devel gcc lksctp-tools-devel
Requires:	lksctp-tools
Requires:       %{name}-help = %{version}-%{release}

%description
Iperf is a tool for active measurements of the maximum achievable bandwidth
on IP networks. It supports tuning of various parameters related to timing,
protocols, and buffers.

%package        devel
Summary:        Header files for iperf3
Requires:       %{name} = %{version}-%{release}

%description    devel
Header files for iperf3

%package_help

%prep
%autosetup -n iperf-%{version} -p1

%build
%configure
%disable_rpath
%make_build

%install
%make_install -C src INSTALL_DIR="%{buildroot}%{_bindir}"
mkdir -p %{buildroot}%{_mandir}/man1
%delete_la_and_a

%files
%defattr(-,root,root)
%doc README.md RELNOTES.md
%license LICENSE _esnet/LICENSE
%{_bindir}/iperf3
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/iperf_api.h
%{_libdir}/*.so

%files help
%defattr(-,root,root)
%{_mandir}/man1/iperf3.1.gz
%{_mandir}/man3/libiperf.3.gz

%changelog
* Tue Jul 09 2024 wangkai <13474090681@163.com> - 3.17.1-1
- Update to 3.17.1
- iperf3 no longer changes its current working directory in --daemon mode. This results in more 
  predictable behavior with relative paths, in particular finding key and credential files for authentication.
- A new --json-stream option has been added to enable a streaming output format, consisting of 
  a series of JSON objects (for the start of the test, each measurement interval, and the end of the test) separated by newlines
- UDP tests now work correctly between different endian hosts
- The --fq-rate parameter now works for --reverse tests
- The statistics reporting interval is now available in the --json start test object

* Thu Jun 06 2024 zhangxingrong <zhangxingrong@uniontech.com> - 3.16-4
- iperf3 now builds correctly on architectures without native support for 64-bit atomic types, by linking with the libatomic library

* Tue May 14 2024 wangkai <13474090681@163.com> - 3.16-3
- Fix CVE-2024-26306

* Mon Apr 29 2024 jinzhiguang <jinzhiguang@kylinos.cn> - 3.16-2
- add BuildRequires and Requires to enable sctp option

* Sun Jan 14 2024 menmazqj <qijia.oerv@isrc.iscas.ac.cn> - 3.16-1
- Update to 3.16

* Mon Aug 07 2023 yaoxin <yao_xin001@hoperun.com> - 3.13-2
- Fix CVE-2023-38403

* Wed Apr 12 2023 yaoxin <yao_xin001@hoperun.com> - 3.13-1
- Update to 3.13

* Tue Jan 4 2022 liyanan <liyanan32@huawei.com> - 3.10.1-1
- Upgrade to 3.10.1

* Fri Nov 06 2020 leiju <leiju4@huawei.com> - 3.6-5
- Add Requires iperf3-help into iperf3

* Tue Nov 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.6-4
- Package init
